function xn = FixedPoint(x0,tol)
% Run fixed-poitn iteration for f(x)=cos(x) starting from x0 using error
% tolerance tol.

% Initialize:
x = x0;
% Run the iteration:
while 1
    % Update:
    xn = cos(x);
    % Check for convergence:
    if abs(xn-x) < tol
        break
    else
        x = xn;
    end
end
end

